/******************************************************************************
 * Class Name:FlightBean.java
 * Description: FlightBean. Gives the signatures as per EJB specifications.
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.entitybean;

import java.sql.Time;
import java.sql.Date;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

public abstract class FlightBean implements EntityBean
{
  //The container assigned reference to the entity
  private EntityContext context;

  public FlightBean() {
  }

  //signatures for the getter setter methods of the container managed fields
  abstract public int getAirlineId();
  abstract public void setAirlineId(int airlineId);
  abstract public String getAirlineName();
  abstract public void setAirlineName(String airlineName);
  abstract public int getFlightId();
  abstract public void setFlightId(int flightId);
  abstract public String getFromLocation();
  abstract public void setFromLocation(String fromLocation);
  abstract public String getToLocation();
  abstract public void setToLocation(String toLocation);
  abstract public Time getDepartureTime();
  abstract public void setDepartureTime(Time departureTime);
  abstract public Time getArrivalTime() ;
  abstract public void setArrivalTime(Time arrivalTime);
  abstract public double getDuration();
  abstract public void setDuration(double duration);
  abstract public int getTotalSeats();
  abstract public void setTotalSeats(int totalSeats);
  abstract public double getPrice();
  abstract public void setPrice(double price);
  abstract public Date getFlightDepartureDate() ;
  abstract public void setFlightDepartureDate(Date flightDepartureDate);
  abstract public int getAvailableSeats();
  abstract public void setAvailableSeats(int availableSeats);

  //Sets the context of the bean
  public void setEntityContext(EntityContext ec) {
    this.context = ec;
  }

  //Clears the context of the bean
  public void unsetEntityContext() {
    this.context = null;
  }

  /**
   * This method is called when the container picks this entity object
   * and assigns it to a specific entity object. Insert code here to
   * acquire any additional resources that it needs when it is in the
   * ready state.
  */
  public void ejbActivate() {
  }

  /**
   * This method is called when the container diassociates the bean
   * from the entity object identity and puts the instance back into
   * the pool of available instances. Insert code to release any
   * resources that should not be held while the instance is in the
   * pool.
  */
  public void ejbPassivate() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the bean's state with the
   * state in the database. This method is called after the container
   * has loaded the bean's state from the database.
  */
  public void ejbLoad() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the state in the database
   * with the state of the bean. This method is called before the
   * container extracts the fields and writes them into the database.
   */
  public void ejbStore() {
  }

  /**
   * This method is invoked when a client invokes the matching create()
   * on the home interface. Initialize the fields that will be used
   * used by the container to create a record in the database.
   * param airlineId
   * param airlineName
   * param flightId
   * param fromLocation
   * param toLocation
   * param departureTime
   * param arrivalTime
   * param duration
   * param totalSeats
   * param price
   * param flightDepartureDate
   * param availableSeats
   * return Returns the primary key of the new entity
   */
  public FlightPK ejbCreate(int airlineId, String airlineName, int flightId,
   String fromLocation, String toLocation, Time departureTime,
   Time arrivalTime, int duration, int price, int totalSeats,
   Date flightDepartureDate, int availableSeats) {
    setAirlineId(airlineId);
    setAirlineName(airlineName);
    setFlightId(flightId);
    setFromLocation(fromLocation);
    setToLocation(toLocation);
    setDepartureTime(departureTime);
    setArrivalTime(arrivalTime);
    setDuration(duration);
    setPrice(price);
    setTotalSeats(totalSeats);
    setFlightDepartureDate(flightDepartureDate);
    setAvailableSeats(availableSeats);
    return null;
  }

  /**
   * The container invokes this method after invoking the ejbCreate
   * method with the same arguments.
   * param airlineId
   * param airlineName
   * param flightId
   * param fromLocation
   * param toLocation
   * param departureTime
   * param arrivalTime
   * param duration
   * param totalSeats
   * param price
   * param flightDepartureDate
   * param availableSeats
   */
  public void ejbPostCreate(int airlineId, String airlineName, int flightId,
   String fromLocation, String toLocation, Time departureTime,
   Time arrivalTime, int duration, int price, int totalSeats,
   Date flightDepartureDate, int availableSeats) {
  }

  /**
   * The container invokes this method in response to a client-invoked
   * remove request. Insert code to implement any actions before the
   * bean is removed from the database.
   */
  public void ejbRemove() {
  }
}
