/******************************************************************************
 * Class Name:FlightInterface.java
 * Description:Local Interface for FlightBean. Defines the getter setter methods
               for the container managed fields.
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.entitybean;

import javax.ejb.*;
import java.rmi.*;
import java.sql.Time;
import java.sql.Date;
import com.sams.learnweblogic7.airlines.businessobject.*;
import com.sams.learnweblogic7.airlines.constants.*;

public interface FlightInterface extends EJBLocalObject
{
//airlineId getter-setter methods
  public int getAirlineId();
  public void setAirlineId(int airlineId);

  //airlineName getter-setter methods
  public String getAirlineName();
  public void setAirlineName(String airlineName);

  //flightId getter-setter methods
  public int getFlightId();
  public void setFlightId(int flightId);

//fromLocation getter-setter methods
  public String getFromLocation();
  public void setFromLocation(String fromLocation);

//toLocation getter-setter methods
  public String getToLocation();
  public void setToLocation(String toLocation);

//departureTime getter-setter methods
  public Time getDepartureTime();
  public void setDepartureTime(Time departureTime);

//arrivalTime getter-setter methods
  public Time getArrivalTime();
  public void setArrivalTime(Time arrivalTime);

//duration getter-setter methods
  public double getDuration();
  public void setDuration(double duration);

//totalSeats getter-setter methods
  public int getTotalSeats();
  public void setTotalSeats(int totalSeats);

//price getter-setter methods
  public double getPrice();
  public void setPrice(double price);

//departureDate getter-setter methods
  public Date getFlightDepartureDate();
  public void setFlightDepartureDate(Date flightDepartureDate);

//availableSeats getter-setter methods
  public int getAvailableSeats();
  public void setAvailableSeats(int availableSeats);
}
