/******************************************************************************
 * Class Name: GenericException.java
 * Description: Generic Exception class
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/

package com.sams.learnweblogic7.airlines.exception;

import java.util.*;
import java.io.*;
import java.sql.*;

 /**
 *  This class is a type of Generic Exception for handling all types of Exception.
 *  All the other custom exceptions will extend this exception.
 */

public class GenericException extends Exception
{
   private Exception exception=null;
   private String message="Internal Error Occurred ...... Please try again later.";

   /* This is system independent Line seperator  */
   private String sep=System.getProperty( "line.separator" );
   public GenericException(String message, Exception e )
   {
     this.message = message;
     exception = e;
   }

   public GenericException(String message)
   {
     this.message = message;
   }

   public GenericException(Exception e)
   {
     exception = e;
   }

   public String toString()
   {
     String line = "" + sep;
     line = new java.util.Date(System.currentTimeMillis ()) + "  :  Message ====)   " + message + sep;
     line = line + new java.util.Date(System.currentTimeMillis ()) + "  :  Exception Details ====)   " + exception + "" +sep;
     return line;
   }

   public String getMessage()
   {
     return message;
   }
}
