/******************************************************************************
 * Class Name: MVCAppValueFactory.java
 * Description:Contains methods to get and set MVC value objects
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.businessobject;

import java.util.*;
import com.sams.learnweblogic7.airlines.exception.*;

public class MVCAppValueFactory
{
  public static MVCAppValueObject getMVCAppValueObject (javax.servlet.http.HttpServletRequest request) throws GenericException
  {
    MVCAppValueObject objMVCApp=new MVCAppValueObject();
    try
    {
      Enumeration enum=request.getParameterNames();
      while(enum.hasMoreElements())
      {
        String fieldName=(String)enum.nextElement();
        String fieldValue=request.getParameter(fieldName);
        System.out.println("**** FIELD NAME = " + fieldName);
        System.out.println("**** FIELD VALUE = " + fieldValue);
        fieldValue=(fieldValue==null)?"":fieldValue.trim();
        objMVCApp.put(fieldName, fieldValue);
      }
    }
    catch(Exception exp)
    {
      throw new GenericException(exp);
    }
    return objMVCApp;
  }
}
