/******************************************************************************
 * Class Name:PassengerBean.java
 * Description:Implementation of PassengerBean.
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.entitybean;

import java.sql.Time;
import java.sql.Date;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import com.sams.learnweblogic7.airlines.businessobject.PassengerProfile;

abstract public class PassengerBean implements EntityBean
{
  /**
   * The container assigned reference to the entity
   */
  private EntityContext context;

  public PassengerBean() {
  }

  //abstract getter-setter methods for cmp fields
  abstract public String getProfileId();
  abstract public void setProfileId(String profileId);
  abstract public String getPassword();
  abstract public void setPassword(String password) ;
  abstract public String getFirstName();
  abstract public void setFirstName(String firstName);
  abstract public String getLastName();
  abstract public void setLastName(String lastName);
  abstract public String getAddress() ;
  abstract public void setAddress(String address);
  abstract public String getTelNo();
  abstract public void setTelNo(String telNo);
  abstract public String getEmailId();
  abstract public void setEmailId(String emailId) ;
  abstract public String getCardNumber();
  abstract public void setCardNumber(String cardNumber);
  abstract public String getCardType();
  abstract public void setCardType(String cardType);
  abstract public int getExpirationMonth();
  abstract public void setExpirationMonth(int expirationMonth);
  abstract public int getExpirationYear();
  abstract public void setExpirationYear(int expirationYear);

  /**
   * Sets the context of the bean
   * param ec
   */
  public void setEntityContext(EntityContext ec) {
    context = ec;
  }

  /**
   * Clears the context of the bean
   */
  public void unsetEntityContext() {
    this.context = null;
  }

  /**
   * This method is called when the container picks this entity object
   * and assigns it to a specific entity object. Insert code here to
   * acquire any additional resources that it needs when it is in the
   * ready state.
   */
  public void ejbActivate() {
  }

  /**
   * This method is called when the container diassociates the bean
   * from the entity object identity and puts the instance back into
   * the pool of available instances. Insert code to release any
   * resources that should not be held while the instance is in the
   * pool.
   */
  public void ejbPassivate() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the bean's state with the
   * state in the database. This method is called after the container
   * has loaded the bean's state from the database.
   */
  public void ejbLoad() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the state in the database
   * with the state of the bean. This method is called before the
   * container extracts the fields and writes them into the database.
   */
  public void ejbStore() {
  }

  /**
   * This method is invoked when a client invokes the matching create()
   * on the home interface. Initialize the fields that will be used
   * used by the container to create a record in the database.
   *
   *param profileId
   *param password
   *param firstName
   *param lastName
   *param address
   *param telNo
   *param emailId
   *param cardNumber
   *param profileId0
   *param cardType
   *param expirationMonth
   *param expirationYear
   *return Returns the primary key of the new entity
   */
  public String ejbCreate(String profileId, String password, String firstName,
   String lastName, String address, String telNo, String emailId,
   String cardNumber, String cardType, int expirationMonth,
   int expirationYear) {
    setProfileId(profileId);
    setPassword(password);
    setFirstName(firstName);
    setLastName(lastName);
    setAddress(address);
    setTelNo(telNo);
    setEmailId(emailId);
    setCardNumber(cardNumber);
    setCardType(cardType);
    setExpirationMonth(expirationMonth);
    setExpirationYear(expirationYear);
    return null;
  }

  /**
   * The container invokes this method after invoking the ejbCreate
   * method with the same arguments.
   *param profileId
   *param password
   *param firstName
   *param lastName
   *param address
   *param telNo
   *param emailId
   *param cardNumber
   *param profileId
   *param cardType
   *param expirationMonth
   *param expirationYear
   */
  public void ejbPostCreate(String profileId, String password, String firstName,
   String lastName, String address, String telNo, String emailId,
   String cardNumber, String cardType, int expirationMonth,
   int expirationYear){
  }

  /**
   * The container invokes this method in response to a client-invoked
   * remove request. Insert code to implement any actions before the
   * bean is removed from the database.
   */
  public void ejbRemove() {
  }

  /**
   *returns Business Object PassengerProfile
   */
  public PassengerProfile getPassengerDetails(String profileID, String password)
 {
    return (null);
  }
}
