/******************************************************************************
 * Class Name:PassengerInterface.java
 * Description:Local Interface for PassengerBean. Defines the getter-setter
 *              methods for the cmp fields and business methods.
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.entitybean;

import javax.ejb.*;
import java.rmi.*;
import com.sams.learnweblogic7.airlines.businessobject.PassengerProfile;
import java.rmi.RemoteException;

public interface PassengerInterface extends EJBLocalObject
{
  //business method
  public PassengerProfile getPassengerDetails(String profileID, String password);

  //getter-setter methods for the cmp fields
  public String getProfileId();
  public void setProfileId(String profileId);
  public String getPassword();
  public void setPassword(String password);
  public String getFirstName();
  public void setFirstName(String firstName);
  public String getLastName();
  public void setLastName(String lastName);
  public String getAddress();
  public void setAddress(String address);
  public String getTelNo();
  public void setTelNo(String telNo);
  public String getEmailId();
  public void setEmailId(String emailId);
  public String getCardNumber();
  public void setCardNumber(String cardNumber);
  public String getCardType();
  public void setCardType(String cardType);
  public int getExpirationMonth();
  public void setExpirationMonth(int expirationMonth);
  public int getExpirationYear();
  public void setExpirationYear(int expirationYear);
}
