/******************************************************************************
 * Class Name:TicketInfoBean.java
 * Description:Implementation class of TicketInfoBean.
 * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
 * @version 11.5
 * Copyright (c) by Sams Publishing. All Rights Reserved.
******************************************************************************/
package com.sams.learnweblogic7.airlines.entitybean;

import java.sql.Date;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import com.sams.learnweblogic7.airlines.businessobject.TicketDetails;

abstract public class TicketInfoBean implements EntityBean
{
  /**
   * The container assigned reference to the entity
   */
  private EntityContext context;

  public TicketInfoBean() {
  }

  //getter-setter methods for cmp fields
  abstract public long getTicketId();
  abstract public void setTicketId(long ticketId);
  abstract public String getProfileId() ;
  abstract public void setProfileId(String profileId);
  abstract public String getStatus();
  abstract public void setStatus(String status);
  abstract public int getFlightId();
  abstract public void setFlightId(int flightId);
  abstract public Date getDepartureDate();
  abstract public void setDepartureDate(Date departureDate);

  /**
   * Sets the context of the bean
   */
  public void setEntityContext(EntityContext ec) {
    context=ec;
  }

  /**
   * Clears the context of the bean
   */
  public void unsetEntityContext() {
    this.context=null;
  }

  /**
   * This method is called when the container picks this entity object
   * and assigns it to a specific entity object. Insert code here to
   * acquire any additional resources that it needs when it is in the
   * ready state.
   */
  public void ejbActivate() 
  {
  }

  /**
   * This method is called when the container diassociates the bean
   * from the entity object identity and puts the instance back into
   * the pool of available instances. Insert code to release any
   * resources that should not be held while the instance is in the
   * pool.
   */
  public void ejbPassivate() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the bean's state with the
   * state in the database. This method is called after the container
   * has loaded the bean's state from the database.
   */
  public void ejbLoad() {
  }

  /**
   * The container invokes this method on the bean whenever it
   * becomes necessary to synchronize the state in the database
   * with the state of the bean. This method is called before the
   * container extracts the fields and writes them into the database.
   */
  public void ejbStore() {
  }

  /**
   * This method is invoked when a client invokes the matching create()
   * on the home interface. Initialize the fields that will be used
   * used by the container to create a record in the database.
   *
   * @param ticketId
   * @param profileId
   * @param departureDate
   * @param status
   * @param flightId
   * @return Returns the primary key of the new entity
   */
  public TicketInfoPK ejbCreate(long ticketId, String profileId, String status,
    int flightId, Date departureDate) {
    setTicketId(ticketId);
    setProfileId(profileId);
    setStatus(status);
    setFlightId(flightId);
    setDepartureDate(departureDate);
    return null;
  }

  /**
   * The container invokes this method after invoking the ejbCreate
   * method with the same arguments.
   * @param ticketId
   * @param profileId
   * @param departureDate
   * @param status
   * @param flightId
   */
  public void ejbPostCreate(long ticketId, String profileId, String status,
    int flightId, Date departureDate) {
  }

  /**
   * The container invokes this method in response to a client-invoked
   * remove request. Insert code to implement any actions before the
   * bean is removed from the database.
   */
  public void ejbRemove() {
  }
}
