CREATE TABLE "MVCAPP"."CREDIT_CARD_DETAILS" (
   "PROFILE_ID" DECIMAL(10,0),
   "CARD_NUMBER" VARCHAR(20),
   "CARD_TYPE" VARCHAR(20),
   "EXPIRATION_MONTH" VARCHAR(20),
   "EXPIRATION_YEAR" VARCHAR(20) );

COMMIT;

CREATE TABLE "MVCAPP"."FLIGHT" (
   "AIRLINE_ID" DECIMAL(10,0),
   "AIRLINE_NAME" VARCHAR(20),
   "FROM_LOCATION" VARCHAR(20),
   "TO_LOCATION" VARCHAR(20),
   "DEPARTURE_TIME" TIME,
   "ARRIVAL_TIME" TIME,
   "DURATION" DECIMAL(5,2),
   "TOTAL_SEATS" DECIMAL(3,0),
   "FLIGHT_ID" DECIMAL(10,0) NOT NULL );

COMMIT;

ALTER TABLE "MVCAPP"."FLIGHT" ADD CONSTRAINT "PK_FLIGHT_ID" PRIMARY KEY ("FLIGHT_ID");

COMMIT;

CREATE TABLE "MVCAPP"."FLIGHT_DETAILS" (
   "FLIGHT_ID" DECIMAL(10,0) NOT NULL,
   "FLIGHT_DEPARTURE_DATE" DATE NOT NULL,
   "PRICE" DECIMAL(6,2),
   "AVAILABLE_SEATS" DECIMAL(3,0) );

COMMIT;

ALTER TABLE "MVCAPP"."FLIGHT_DETAILS" ADD CONSTRAINT "PK_FLIGHT_DETAILS_COMPOSITE" PRIMARY KEY ( "FLIGHT_ID", "FLIGHT_DEPARTURE_DATE" );

COMMIT;

CREATE TABLE "MVCAPP"."PASSENGER_PROFILE" (
   "PROFILE_ID" DECIMAL(10,0) NOT NULL,
   "PASSWORD" VARCHAR(20),
   "FIRST_NAME" VARCHAR(20),
   "LAST_NAME" VARCHAR(20),
   "ADDRESS" VARCHAR(20),
   "TEL_NO" VARCHAR(20),
   "EMAIL_ID" VARCHAR(20) );

COMMIT;

ALTER TABLE "MVCAPP"."PASSENGER_PROFILE" ADD CONSTRAINT "PK_PROFILE_ID" PRIMARY KEY ( "PROFILE_ID" );

COMMIT;

CREATE TABLE "MVCAPP"."TICKET_INFO" (
   "TICKET_ID" DECIMAL(30,0) NOT NULL,
   "FLIGHT_ID" DECIMAL(10,0),
   "PROFILE_ID" DECIMAL(10,0),
   "FLIGHT_DEPARTURE_DATE" DATE,
   "STATUS" VARCHAR(20) );
COMMIT;

ALTER TABLE "MVCAPP"."TICKET_INFO" ADD CONSTRAINT "PK_TICKET_ID" PRIMARY KEY ( "TICKET_ID" );

COMMIT;

ALTER TABLE "MVCAPP"."CREDIT_CARD_DETAILS" ADD CONSTRAINT "FK_CC_PROFILE_ID" 
 FOREIGN KEY ( "PROFILE_ID" ) REFERENCES "MVCAPP"."PASSENGER_PROFILE" 
 ( "PROFILE_ID" ) ON UPDATE no action ON DELETE no action;

COMMIT;

ALTER TABLE "MVCAPP"."FLIGHT_DETAILS" ADD CONSTRAINT "FK_FLIGHT_ID" FOREIGN KEY
 ( "FLIGHT_ID" ) REFERENCES "MVCAPP"."FLIGHT" ( "FLIGHT_ID" ) ON UPDATE
 no action ON DELETE no action;

COMMIT;

ALTER TABLE "MVCAPP"."TICKET_INFO" ADD CONSTRAINT "FK_FLIGHT_ID_DATE" FOREIGN KEY
 ( "FLIGHT_ID", "FLIGHT_DEPARTURE_DATE" ) REFERENCES "MVCAPP"."FLIGHT_DETAILS" 
 ( "FLIGHT_ID", "FLIGHT_DEPARTURE_DATE" ) ON UPDATE no action 
 ON DELETE no action;

COMMIT;

ALTER TABLE "MVCAPP"."TICKET_INFO" ADD CONSTRAINT "FK_PROFILE_ID" FOREIGN KEY
 ( "PROFILE_ID" ) REFERENCES "MVCAPP"."PASSENGER_PROFILE" ( "PROFILE_ID" )
 ON UPDATE no action ON DELETE no action;

COMMIT;

CREATE TABLE "MVCAPP".TEST(DUMMY_COL VARCHAR);