<!--
/******************************************************************************
  * Class Name   : ConfirmFlightDetails.jsp
  * Description  : Displays the user profile and the flight details of the
  *                the user is about to book.
  * @author Mandar S. Chitnis, Pravin S. Tiwari, Lakshmi AM.
  * @version 11.5
  * Copyright (c) by Sams Publishing. All Rights Reserved.
*******************************************************************************/
-->

<%@ taglib uri="weblogic-tags.tld" prefix="wl" %>
<%@ page import="
java.io.*,
java.sql.*,
javax.servlet.*,
javax.servlet.http.*,
java.util.Properties,
javax.naming.*,
weblogic.db.jdbc.*,
com.sams.learnweblogic7.airlines.constants.*,
com.sams.learnweblogic7.airlines.exception.*,
com.sams.learnweblogic7.airlines.businessobject.*
"%>

<HTML>
  <HEAD>
    <TITLE>Ticket Confirmation Page</TITLE>
  </HEAD>
  <BODY>
    <SCRIPT>
    function changeActionId(actionId)
    {
      document.ticket_confirmation.<%=JspFieldConstants.ACTION_ID%>.value=actionId;
      document.ticket_confirmation.submit();
    }
    </SCRIPT>
    <%
    try
    {
      MVCAppValueObject reqValueObject = (MVCAppValueObject)request.getAttribute(MVCConstants.OUTPUT_MVCVALUEOBJECT);
      String previousActionID = (String)reqValueObject.get(JspFieldConstants.ACTION_ID);
      PassengerProfile passengerProfileObj = (PassengerProfile)reqValueObject.get(MVCConstants.PASSENGER_PROFILE);
      FlightDetails flightDetailsObj = (FlightDetails)reqValueObject.get(MVCConstants.PASSENGER_FLIGHT_DETAILS);
      TicketDetails ticketDetailsObj = (TicketDetails)reqValueObject.get(MVCConstants.PASSENGER_TICKET_DETAILS);
    %>
    <FORM name="ticket_confirmation" action="/AirlinesApp/AirlineTicketBookingServlet" method="Post">
      <wl:cache name="commonHeader"></wl:cache>
      <P align="center">
      <FONT face="Verdana">
      <TABLE width="60%" bgcolor="#aabbcc">
        <TR>
          <TD bgcolor="#cccc99" colspan="5">
            <P align="center"><FONT face="Verdana" color="#009900" size="2">
            <B>Profile Details for Ticket</B></FONT></P>
          </TD>
        </TR>
        <TR><TD colspan="5" bgcolor="white">&nbsp;</TD></TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Profile ID</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getProfileID()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Address</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getAddress()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>First Name</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getFirstName()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Telephone Number</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getTelNo()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Last Name</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getLastName()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Email</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=passengerProfileObj.getEmailID()%></FONT></TD>
        </TR>
      </TABLE>
      </P>
      <BR><BR><BR><BR>
      <P align="center">
      <TABLE width="60%" bgcolor="#aabbcc">
        <TR>
          <TD bgcolor="#cccc99" colspan="5"><P align="center">
           <FONT color="#009900" size="2">Ticket Details</B></FONT></P></TD>
        </TR>
        <TR><TD colspan="5" bgcolor="white">&nbsp;</TD></TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Ticket ID</B></FONT></TD>
          <TD><FONT color="blue" size="1">Pending</FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Flight Departure Time</FONT></B>
          </TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getFlightDepartureTime()%><FONT>
          </TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Status</B></FONT> </TD>
          <TD><FONT color="blue" size="1">Pending</FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>To Location</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getToLocation()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Airline ID</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getAirlineID()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>from Location</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getFromLocation()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Airline Name</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getAirlineName()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Price</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getPrice()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Flight ID</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getFlightID()%></FONT></TD>
          <TD>&nbsp;</TD>
          <TD><FONT color="blue" size="1"><B>Departure Date</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getDepartureDate()%></FONT></TD>
        </TR>
        <TR>
          <TD><FONT color="blue" size="1"><B>Duration</B></FONT></TD>
          <TD><FONT color="blue" size="1"><%=flightDetailsObj.getFlightDuration()%></FONT></TD>
          <TD colspan="3">&nbsp;</TD>
        </TR>
        <TR><TD colspan="5">&nbsp;</TD></TR>
        <TR>
          <TD colspan="3"><P align="right"><INPUT type="hidden" name="<%=JspFieldConstants.ACTION_ID%>" value="*">
          <INPUT type="hidden" name="<%=JspFieldConstants.PREVIOUS_ACTION_ID%>" value="<%=previousActionID%>">
          <INPUT type="button" name="<%=JspFieldConstants.DISPLAY_CONFIRMED_FLIGHTS_CONFIRM_SUBMIT_BUTTON%>"
           value="Confirm Booking" onClick="javascript:alert('Disabled');"></P>
          </TD>
          <TD>&nbsp;</TD>
          <TD colspan="1"><P align="left">
          <INPUT type="submit" name="<%=JspFieldConstants.DISPLAY_CONFIRMED_FLIGHTS_CONFIRM_CANCEL_BUTTON%>"
           value="Cancel"
           onClick="javascript:changeActionId('<%=JspFieldConstants.DISPLAY_CONFIRMED_FLIGHTS_CANCEL_ACTION_ID%>');"></P>
          </TD>
        </TR>
     </TABLE>
     </P>
     </FONT>
     <BR><BR><BR>
     <% }catch(Exception exp){exp.printStackTrace();} %>
<wl:cache name="commonFooter"></wl:cache>
